declare namespace I18n {
  type LangType = 'zh-HK' | 'zh-CN' | 'en'

  type Schema = {
    common_module: {
      cancel_btn_text: string
      confirm_btn_text: string
      prev_btn_text: string
      next_btn_text: string
      create: string
      delete: string
      login: string
      logout: string
      not_login_text: string
      login_now: string
      name: string
      desc: string
      publish_time_in: string
      created_time: string
      modified_time: string
      is_open: string
      status: string
      publish: string
      published: string
      unpublished: string
      ai_generate: string
      regenerate: string
      config: string
      agent: string
      knowledge: string
      custom: string
      char: string
      upload: string
      uploading: string
      upload_success_message: string
      empty_data: string
      search_empty_data: string
      create_agent_btn_text: string
      copy_success_message: string
      delete_success_message: string
      save_success_message: string
      save_fail_message: string
      edit_success_message: string
      publish_success_message: string
      clear_success_message: string
      add_success_message: string
      reset_success_message: string
      loading: string
      updating: string
      successful_update: string
      recommended_questions: string
      exchange: string
      tip: string
      during_operation: string
      deletion_failed_please_try_again: string
      select_all: string
      quit: string
      retry: string
      currently: string
      multi_model_debug: string
      accurate_mode: string
      balance_mode: string
      creative_mode: string
      all: string
      collect: string
      listing_successfully: string
      listing_failed: string
      removal_successfully: string
      removal_failed: string
      collect_successfully: string
      collect_unsubscribed: string
      preservation: string
      open: string
      close: string
      delete_tip_title: string
      wipe_data: string
      delete_all_tip_title: string
      search: string
      add: string
      remove: string
      add_knowledge: string
      no_file: string
      view_file: string
      total_file: string
      expired_identity: string
      avatar: string
      mobile_phone_number: string
      email: string
      password: string
      language: string
      change: string
      bind: string
      sms: string
      verificationCode: string
      role: string
      mandarin: string
      cantonese: string
      english: string
      voice: string
      sound: string
      voice_auto_play: string
      start_playing: string
      stop_playing: string
      unplayable: string
      unplayable_tip: string
      response_error: string
      agent_exception: string
      equity: string
      file_size_limit: string
      package: string
      recharge: string
      expired: string
      forever_effective: string
      year: string
      month: string
      today: string
      alipay: string
      wechat: string
      analysis: string
      last_week: string
      last_month: string
      free: string
      points_per_time: string
      count_session_rounds: string
      unlimited_amount: string
      as_needed: string
      support: string
      buy_now: string
      payment_success: string
      back: string
      time: string
      export_data: string
      not_generated: string
      export_successfully: string
      export_failed: string
      copy_link: string
      or: string
      search_keyword_empty_tip: string
      added: string
      plugin_in_progress: string
      plugin_executed_successfully: string
      upload_image: string
      deep_thinking: string
      have_thought_deeply: string
      download: string
      download_success: string
      download_fail: string
      unfold: string
      fold: string
      function: string
      be_authorized: string
      not_certified_yet: string
      authenticated: string
      cancel_authorization: string
      get_code: string
      database: string
      no_database_table: string
      view_database_table: string
      total_database_table: string
      add_database_successfully: string
      remove_database_successfully: string
      database_QA_executed_successfully: string
      input_parameter: string
      output_parameter: string
      submit_successfully: string
      submit_failure: string
      mermaid_render_error: string
      mermaid_rendering: string

      dialogue_module: {
        continue_question_message: string
        empty_message_content: string
        question_input_placeholder: string
        generate_warning_message: string
        clear_message_popover_message: string
        clear_message_dialog_title: string
        clear_message_dialog_content: string
        cancel_associate_file_tip: string
        upload_file_limit: string
        overwrite_file_tip: string
        stop_playing_and_then_operate: string
        do_not_operate_until_the_reply_is_complete: string
        upload_image_limit: string
        overwrite_image_tip: string
        upload_image_size_error_message: string
        upload_image_format_error_message: string
        do_not_exit_page: string
        content_interrupted: string
      }

      data_table_module: {
        action: string
        edit: string
        copy: string
        delete: string
        view: string
        analysis: string
        listing_applications: string
        remove_applications: string
        type: string
      }

      pagination_module: {
        page_no: string
        page_size: string
        page_unit: string
        total: string
        goto: string
        remove_applications_dialog_title: string
        already_bottom: string
        application_empty: string
      }
    }

    router_title_module: {
      login: string
      server_error: string
      universal: string
      home: string
      personal: string
      app_setting: string
      agent_application: string
      share_application: string
      knowledge: string
      upload_knowledge_document: string
      knowledge_document_list: string
      knowledge_document_detail: string
      multi_model_dialogue: string
      explore: string
      application_square: string
      personal_settings: string
      order_manage: string
      data_statistic: string
      plugin_center: string
      reset_password: string
      database: string
    }

    login_module: {
      app_welcome_words: string
      please_enter_your_account_number: string
      please_enter_your_password: string
      please_enter_your_cell_phone_number: string
      please_enter_your_correct_cell_phone_number: string
      please_enter_the_verification_code: string
      please_enter_your_email_address: string
      please_enter_the_correct_email_address: string
      mainland_china: string
      hong_kong_china: string
      login_success: string
      get_verification_code: string
      other_login_methods: string
      mobile_welcome_words: string
      sign_in_with_mobile_number: string
      verification_code_login: string
      password_login: string
      email_login: string
      forgot_password: string
      agreement_prefix: string
      agreement_terms: string
      agreement_privacy: string
      agreement_and: string
      confirm_to_logout: string
      you_can_login_again_after_logout: string
      please_review_and_accept_the_agreement: string
      agree_and_continue: string
      disagree: string
    }

    reset_password_module: {
      reset_login_password: string
      please_enter_your_registered_phone_number: string
      please_enter_your_new_password: string
      back_to_login: string
      reset_password: string
    }

    home_module: {
      agent_welcome_message: string
      agent_description: string
      currently_in_the_latest_session: string
      switching_over: string
      history_application_success: string
      history_application_failed_please_try_again: string
      starting_a_new_session: string
      please_enter_a_question: string
      all_of_the_above_content_is_generated_by_ai_and_is_for_reference_only: string
      history_record_item_delete_tip: string
      there_is_currently_no_history_to_work_with: string
      the_selected_list_cannot_be_empty: string
      history_record_item_apply_tip: string
      historical_record: string
      interrupt_dialogue_prompt: string
      interrupt_the_conversation_and_apply_the_history_prompt: string

      rich_text_module: {
        placeholder: string
        template: string
        message_editor: string
        writing_placeholder: string

        template_list: {
          work: string
          business_marketing: string
          social_media_copywriting: string
          literature_and_art: string

          work_list: {
            t_title_1: string
            t_doc_1: string
            t_template_1: string

            t_title_2: string
            t_doc_2: string
            t_template_2: string

            t_title_3: string
            t_doc_3: string
            t_template_3: string

            t_title_4: string
            t_doc_4: string
            t_template_4: string

            t_title_5: string
            t_doc_5: string
            t_template_5: string
          }

          business_marketing_list: {
            t_title_1: string
            t_doc_1: string
            t_template_1: string

            t_title_2: string
            t_doc_2: string
            t_template_2: string

            t_title_3: string
            t_doc_3: string
            t_template_3: string
          }

          social_media_copywriting_list: {
            t_title_1: string
            t_doc_1: string
            t_template_1: string

            t_title_2: string
            t_doc_2: string
            t_template_2: string

            t_title_3: string
            t_doc_3: string
            t_template_3: string
          }

          literature_and_art_list: {
            t_title_1: string
            t_doc_1: string
            t_template_1: string

            t_title_2: string
            t_doc_2: string
            t_template_2: string

            t_title_3: string
            t_doc_3: string
            t_template_3: string
          }
        }
      }
    }

    personal_space_module: {
      title: string
      create_btn_text: string

      agent_module: {
        agent_list_module: {
          agent_title: string
          large_model: string
          agent_id: string
          agent_publish_status: string
          publish_status: string
          modified_time: string
          channel: string
          channel_popover_text: string
          agent_copy: string
          empty_agent_list: string
          delete_agent_dialog_title: string
          delete_agent_dialog_content: string
        }
      }

      agent_setting_module: {
        my_agent: string
        modified: string
        auto_save_in: string
        update_publish_btn_text: string
        publish_btn_text: string
        please_finish_publish: string
        missing_agent_title_message: string
        missing_agent_desc_message: string

        agent_config_module: {
          stop_generate: string
          generating_config_message: string

          title: string
          ai_auto_config: string
          question_answer_model: string
          question_answer_model_desc: string
          generate_diversity: string
          topP: string
          topP_popover_message: string
          temperature: string
          temperature_popover_message: string
          communication_turn: string
          communication_turn_popover_message: string
          agent_setting: string
          base_info: string
          ai_generate_picture: string
          agent_title_input_placeholder: string
          agent_title_input_rule_message: string
          agent_desc_input_placeholder: string
          update_avatar: string
          agent_system_prompt: string
          agent_system_popover_message: string
          optimize_agent_system_prompt: string
          optimize_agent_system_popover_message: string
          agent_system_template: string
          agent_system_template_message: string
          agent_system_input_placeholder: string

          ability_expand: string
          plugin: string
          plugin_desc: string
          add_plugin: string
          add_plugin_successfully: string
          remove_plugin_successfully: string
          knowledge: string
          knowledge_base: string
          knowledge_base_desc: string
          advanced_setting: string
          knowledge_base_setting: string
          reply: string
          reply_desc: string
          reply_to_superclass_question: string
          default_reply: string
          custom_reply: string
          please_enter_custom_content: string
          knowledge_base_retrieval_strategy: string
          knowledge_base_retrieval_strategy_desc: string
          mix: string
          mix_desc: string
          keyword: string
          keyword_desc: string
          semantics: string
          semantics_desc: string
          retrieval_strategy_setting: string
          retrieval_strategy_setting_desc: string
          minimum_similarity: string
          minimum_similarity_desc: string
          number_of_results_returned: string
          number_of_results_returned_desc: string
          back_chunk_content: string
          from_knowledge_base: string
          score: string
          upload_file: string
          upload_file_desc: string
          dialogue: string
          preamble: string
          preamble_input_placeholder: string
          featured_questions: string
          featured_questions_input_placeholder: string
          continuous_question: string
          continuous_question_popover_message: string
          continuous_question_default: string
          continuous_question_default_desc: string
          continuous_question_close: string
          continuous_question_close_desc: string
          memory: string
          add_memory_variable: string
          memory_variable: string
          memory_message: string
          memory_variable_message: string
          memory_variable_action_edit: string
          memory_variable_action_copy: string
          variable_name: string
          variable_value: string
          memory_fragment: string
          memory_fragment_message: string
          memory_fragment_content: string
          memory_variable_delete_tip_content: string
          memory_fragment_delete_all_tip_content: string
          memory_fragment_delete_row_tip_content: string
          add_knowledge_successfully: string
          remove_knowledge_successfully: string
          setting_voice: string
          setting_voice_message: string
          setting_voice_desc: string
          currently_only_one_voice_can_be_set: string
          upload_file_format_error_message: string

          memory_variable_modal: {
            edit_memory_variable: string
            memory_variable_message_tip: string
            memory_variable_table_name: string
            memory_variable_table_name_tip: string
            memory_variable_table_name_content: string
            memory_variable_table_name_length: string
            memory_variable_table_default_value: string
            default_value_tip: string
            default_value_tip_example: string
            memory_variable_table_action: string
            default_value_placeholder: string
            name_placeholder: string
            add_variable: string
            memory_variable_add_now: string
            none_memory_variable: string
            add_variable_message: string

            memory_variable_rules: {
              name_not_null: string
              name_length: string
              name_supports: string
              name_not_duplicated: string
            }
          }

          preview: string

          avatar_oversize_message: string
          generate_format_error_message: string

          auto_config_modal_module: {
            modal_title: string
            generate_tip_message: string
            auto_config_input_placeholder: string
            cancel_btn_text: string
            random_generate_btn_text: string
          }

          optimize_system_modal_module: {
            modal_title: string
            confirm_btn_text: string
          }
        }

        agent_publish_module: {
          channel: string
          web_channel_name: string
          web_channel_desc: string
          access_page: string
          share_link: string
          copy_share_url_success_message: string
          application_square_desc: string
          modify_setting_btn: string
          not_configured_btn: string
          removal_prompt_title: string
          removal_prompt_content: string
          successfully_configured_published: string
          api_call: string
          api_call_desc: string
          interface_document: string
          click_to_generate: string
          agentId: string
          copy_id: string
          api_call_details: string
          api_call_datetime: string
          wechat_public_account: string
          wechat_public_account_docs: string
          website_embedding: string
          website_embedding_docs: string
          authorization_information: string

          wechat_public_number_modal: {
            title: string
            docs: string
            public_number_authentication: string
            public_number_authentication_docs: string
            public_number_name: string
            public_number_picture: string
            cancel_authorization_docs: string
          }

          website_embedding_modal: {
            title: string
            whole_plane: string
            whole_plane_docs: string
            popup_bubble: string
            popup_bubble_docs: string
            code_location_docs: string
          }
        }
      }

      agent_sale_module: {
        application_square_release_setting: string
        application_classification: string
        application_classification_null: string

        application_classify: {
          media_entertainment: string
          education_training: string
          business_services: string
          medical_health: string
          efficiency_tools: string
          office_personnel: string
          marketing_commerce: string
          finance: string
          law: string
          culture_tourism: string
        }
        is_copy: string
        yes: string
        no: string
        confirm_release: string
        copy_tip: string
      }

      knowledge_module: {
        search_knowledge_placeholder: string
        knowledge_name: string
        knowledge_desc: string
        delete_knowledge_dialog_content: string
        not_find_knowledge_message: string

        search_knowledge_document_placeholder: string
        knowledge_document_name: string
        knowledge_document_char_count: string
        knowledge_document_format: string
        view_knowledge_document_fragment: string
        training_knowledge_document: string
        empty_knowledge_document_list: string
        upload_knowledge_document_btn_text: string
        batch_delete_knowledge_document_btn_text: string
        not_find_knowledge_document_message: string
        not_all_files_train_complete_tip: string
        cannot_add_tip_when_file_is_training: string

        create_knowledge_modal_title: string
        edit_knowledge_modal_title: string
        knowledge_name_input_placeholder: string
        knowledge_desc_input_placeholder: string
        knowledge_import_type_label: string
        knowledge_type_rule: string
        knowledge_name_rule: string
        knowledge_import_type_rule: string
        knowledge_document_text_type: string
        import_local_document_knowledge: string
        import_local_document_knowledge_desc: string
        QA_knowledge_type: string
        import_QA_local_document_knowledge_desc: string

        segment: string
        auto_segment: string
        custom_segment: string
        add_chunk_up_message: string
        add_chunk_down_message: string
        search_knowledge_chunk_placeholder: string
        add_knowledge_chunk_modal_title: string
        knowledge_chunk_content_input_placeholder: string
        knowledge_chunk_content_input_rule: string
        delete_knowledge_chunk_content_message: string

        divide_by_word_count: string
        Chinese_comma: string
        Chinese_period: string
        Chinese_question_mark: string
        Chinese_exclamation_mark: string
        English_period: string
        English_exclamation_mark: string
        ellipsis: string

        index: string
        no: string
        add_QA: string
        add_QA_data: string
        edit_QA_data: string
        limit_max_chunk_content_length: string
        exceed_max_chunk_content_length: string
        setting_index_desc: string
        select_at_least_one_field_as_the_index: string
        setting_index: string
        field_name: string
        please_enter_the_content: string

        upload_document_module: {
          segment_setting: string
          data_process: string
          process_success: string
          process_fail: string
          processed: string
          upload_action_tip_message: string
          upload_limit_tip_message: string
          empty_document_content_message: string
          upload_format_error_message: string
          upload_size_error_message: string
          upload_error_message: string
          default_segment_setting_title: string
          default_segment_setting_desc: string
          custom_segment_setting_desc: string
          segment_identifier: string
          segment_identifier_tip: string
          please_select_segment_identifier: string
          segment_maximum_number_of_words: string
          segment_maximum_number_of_words_tip: string
          please_input_segment_word_number: string
          segment_overlap_word_proportion: string
          segment_overlap_word_proportion_tip: string
          please_input_segment_overlap_word_proportion: string
          data_process_tip_message: string
          upload_QA_limit_tip_message: string
          upload_QA_suggest_tip_message: string
          upload_QA_format_error_message: string
          download_QA_template: string
        }
      }

      database_module: {
        create_database: string
        edit_database: string
        creation_method: string
        direct_database_connection: string
        db_title: string
        db_desc: string
        db_source_info: string
        db_source_type: string
        db_host: string
        db_port: string
        db_name: string
        db_username: string
        db_password: string
        please_enter_db_title: string
        please_enter_db_desc: string
        please_select_db_source_type: string
        please_enter_db_host: string
        please_enter_db_port: string
        please_enter_db_name: string
        please_enter_db_username: string
        please_enter_db_password: string
        db_title_rule: string
        db_host_rule: string
        connect_test: string
        connect_test_success: string
        connect_test_fail: string
        connect_test_must_pass_to_create: string
        connect_test_must_pass_to_update: string
        table_name: string
        table_desc: string
        table_data_volume: string
      }
    }

    share_agent_module: {
      please: string
      after_action: string
      create_agent_dialogue_title: string
      create_agent_dialogue_content: string
      create_agent_dialogue_positive_text: string
    }

    multi_model_dialogue_module: {
      not_find_agent: string
      add_model: string
      quit_test: string
      model_setting: string
      agent_system: string
      remove_dialogue: string
      one_click_configuration: string
      select_model: string
      please_select_model: string
      please_select_model_first: string
      replace_configuration_tip: string
      open_new_conversation: string
    }

    applications_square_module: {
      create_application_btn_text: string
      all_application_btn_text: string
      immediate_use_btn_text: string
    }

    personal_settings_module: {
      personal_settings_title: string
      basic_information_setting: string
      account_nickname: string
      personal_profile: string
      click_bind_email: string
      click_to_set_password: string
      language_setting: string
      language_setting_doc: string
      email_binding: string
      password_change: string
      new_password: string
      please_enter_your_new_password: string
      confirm_new_password: string
      please_enter_confirm_new_password: string
      the_password_contains_a_maximum_of_6_characters: string
      verify_that_the_new_password_is_inconsistent_with_the_new_password: string
      please_enter_the_account_nickname: string
      please_enter_a_personal_profile: string
      please_enter_the_correct_verification_code: string
      binding_successful: string
      obtaining_the_verification_code: string
      upload_file: string
      file_type_restriction_doc: string
      the_file_type_cannot_be_uploaded: string
    }

    equity_module: {
      file_empty_tip: string
      more_rights_and_interests: string
      basic_version: string
      professional_version: string
      flagship_version: string
      enterprise_version: string
      time_limit: string
      integral_quantity: string
      integral_quantity_doc: string
      points: string
      points2: string
      top_up_immediately: string
      number_of_applications: string
      number_of_applications_doc: string
      individual: string
      number_of_knowledge_base_files: string
      number_of_knowledge_base_files_doc: string
      gift_package_list_title: string
      current_version: string
      current_version_is_higher: string
      free_use: string
      month: string
      year: string
      open_immediately: string
      consultation_for_details: string
      consult_now: string
      upper_application_limit: string
      monthly_pass: string
      annual_card: string
      discounted: string
      payment_method: string
      scan_code_payment: string
      the_current_version_is_the_base_version: string
      the_current_version_is_the_professional_version: string
      the_current_version_is_the_flagship_version: string
      more_benefits_can_be_upgraded_by_clicking_on_the_package: string
      poc_products_professional_consultant: string
      super_link_soft: string
      for_details_please_scan_code_to_add_enterprise_wechat: string
      add_me_to_receive_the_following_benefits: string
      business_online_consulting: string
      exclusive_customized_program: string
      exclusive_preferential_interest: string
      benefit_reminder: string
      support_ai_model: string
      custom_digital_person: string
      ai_training_tuning_service: string
      private_deployment: string
      point_recharge: string
      get_points_for_interacting_with_the_ai: string
      no_time_limit_when_used_up: string
      agents_created_exceeds_tip: string
      documents_uploaded_exceeds_tip: string
    }

    order_manage_module: {
      package_name: string
      recharge_name: string
      points: string
      order_amount: string
      pay_time: string
      pay_method: string
      order_number: string
      remaining_validity_period: string
      remaining_validity_period_day: string
      basic_edition: string
      flagship_edition: string
      professional_edition: string
      gift_pack: string
    }

    analysis_module: {
      today_usage: string
      current_week_usage: string
      current_month_usage: string
      agent_users: string
      send_messages: string
      consume_points: string
      usage_trend_chart: string
      monthly_user_count_comparison_by_channel: string
      monthly_proportion_of_messages_sent_and_points_consumed_by_channel: string
      all_channels: string
      agent_debug: string
      debug: string
      multi_debug: string
      usage_channel: string
      index: string
      agent_square: string
      api: string
      link_share: string
    }

    statistic_module: {
      data_statistic: string
      point_statistic: string
      agent_statistic: string
      platform_point_usage: string
      platform_point_trend: string
      today_usage: string
      current_week_usage: string
      current_month_usage: string
      current_year_usage: string
      create_agent_count: string
      usage_agent_count: string
      unpublish_agent_count: string
      published_agent_count: string
      personal_use_agent_detail: string
      agent_title: string
      agent_status: string
      owner: string
      usage_count: string
      last_usage_time: string
    }

    plugin_center_module: {
      plugin_center: string
      select_application: string
      create_new_application: string
    }

    editor_module: {
      title: string
      cancel: string
      redo: string
      clear_style: string
      bold_type: string
      text_and_title: string
      main_body: string
      italics: string
      underline: string
      strikeout_line: string
      alignment_mode: string
      justification_left: string
      center_align: string
      justify_right: string
      align_both_ends: string

      optimize_input_placeholder: string
      retouching: string
      expansion: string
      abbreviation: string
      adjust_the_tone: string

      colloquial: string
      academicization: string
      humorous_and_vivid: string
      serious_and_formal: string
      concise_and_clear: string
      elegant_literary_style: string
    }

    smart_forms_module: {
      business_trip_form: {
        result_doc: string
        title: string
        objective: string
        travel_location: string
        departure_time: string
        return_time: string
        vehicle: string
        estimated_cost: string
        residence: string
        advance_payment_amount: string
        general_budget: string
        email: string
        confirm_submission: string
        please_enter_the: string
        execution_successful_doc: string
        customer_visit: string
        meeting: string
        training: string
      }
    }

    digital_human_module: {
      digital_human_loading_tip: string
      more_users_tip: string
      timed_out: string
    }
  }
}
